MLflow artifacts
abort multipart file upload
this API is used to abort multipart upload run artifacts
POST
/
api
/
2.0
/
mlflow-artifacts
/
mpu
/
abort
/
{artifact_path}
abort multipart file upload
curl --request POST \
--url https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path} \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>",
"upload_id": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}"
payload = {
"path": "<string>",
"upload_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>', upload_id: '<string>'})
};
fetch('https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'path' => '<string>',
'upload_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}"
payload := strings.NewReader("{\n \"path\": \"<string>\",\n \"upload_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}")
.header("Content-Type", "application/json")
.body("{\n \"path\": \"<string>\",\n \"upload_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"path\": \"<string>\",\n \"upload_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}Path Parameters
The path of the file as a relative path from the root artifact directory
Body
application/json
Response
multipart artifact upload aborted successfully
Was this page helpful?
⌘I
abort multipart file upload
curl --request POST \
--url https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path} \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>",
"upload_id": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}"
payload = {
"path": "<string>",
"upload_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>', upload_id: '<string>'})
};
fetch('https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'path' => '<string>',
'upload_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}"
payload := strings.NewReader("{\n \"path\": \"<string>\",\n \"upload_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}")
.header("Content-Type", "application/json")
.body("{\n \"path\": \"<string>\",\n \"upload_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/2.0/mlflow-artifacts/mpu/abort/{artifact_path}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"path\": \"<string>\",\n \"upload_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}